package org.wso2.carbon.device.mgt.ios.payload.dto;

public class APNSStatus {

	private String status;
	private String deviceIdentifier;
	private String operation;
	private String responseData;
	private String commandUUID;
	private String state;
	private String error;

    public enum APNSResponse {
        QueryResponses,
        InstalledApplicationList,
        ProfileList,
        NeedsRedemption,
    }

    public enum APNSResponseStatus {
        Acknowledged,
        Error
    }

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getDeviceIdentifier() {
		return deviceIdentifier;
	}

	public void setDeviceIdentifier(String deviceIdentifier) {
		this.deviceIdentifier = deviceIdentifier;
	}

	public String getOperation() {
		return operation;
	}

	public void setOperation(String operation) {
		this.operation = operation;
	}

	public String getResponseData() {
		return responseData;
	}

	public void setResponseData(String responseData) {
		this.responseData = responseData;
	}

	public String getCommandUUID() {
		return commandUUID;
	}

	public void setCommandUUID(String commandUUID) {
		this.commandUUID = commandUUID;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

}
